Bug 238894 - [ml_IN] Issues with cursor position
[ml_IN] Issues with cursor position
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
: i18n
Depends On: 206246
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 14:17 EDT by A S Alam
Modified: 2013-07-02 20:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:38:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2007-05-03 14:17:50 EDT
+++ This bug was initially created as a clone of Bug #206246 +++

IN GEDIT:

Description of problem:
In some words, where the letter (say A) from the combination - (U+0d38) + (0d4d)
+ (0d31) + (0d4d) + (0d31) is used
after the Chillu consonants*, when the vowel (U + 0d4b) is used along with, this
is applied for the chillu conjunct also. This is wrong as the vowel (U + 0d4b)
is to be only applied to A.

How reproducible:
Always

Steps to Reproduce:
(explaining with an example)
1.Open gedit
2.type any chillu consonant*, eg: (U+0d28) + (U+0d4d) + (U+200d)
3.type (U+0d38) + (0d4d) + (0d31) + (0d4d) + (0d31)
4.type any vowel (U+0d48),(U+0d4A),(U+0d4B) or (U+0d4C)
  
Actual results:
when step 4 is done, the vowel is applied for Chillu consonant* also.

Expected results:
When step 4 is done, it should be applied only for the letter ((U+0d38) + (0d4d)
+ (0d31) + (0d4d) + (0d31))

IN KEDIT:

Description of problem:
In some words, where the letter (say A) from the combination - (U+0d38) + (0d4d)
+ (0d31) + (0d4d) + (0d31) is used
after the Chillu consonants*, when the vowel (U + 0d4b) is used along with,the
focus of cursor is lost, and appears between the word instead of the cursor
point coming at the end.


How reproducible:
Always

Steps to Reproduce:
1.Open kedit
2.type any chillu consonant*, eg: (U+0d28) + (U+0d4d) + (U+200d)
3.type (U+0d38) + (0d4d) + (0d31) + (0d4d) + (0d31)
4.type any vowel (U+0d48),(U+0d4A),(U+0d4B) or (U+0d4C)
 
Actual results:
when step 4 is done,the focus of cursor is lost.

Expected results:
When step 4 is done,the cursor should appear at end of the word.

A SIMILAR ISSUE:

1.open kedit
2.type any chillu consonant*, eg: (U+0d28) + (U+0d4d) + (U+200d)
3.type any of : (U+0d32), (U+Od30), (U+0d2F) or (U+0d36)
4.type any vowel (U+0d48),(U+0d4A),(U+0d4B) or (U+0d4C)

Actual results:
when step 4 is done, the vowel is applied for Chillu consonant* also.

Expected results:
when step 4 is done, the vowel should be only for the letter typed on step 3
((U+0d32), (U+Od30), (U+0d2F) or (U+0d36))

IN GEDIT, this is working fine. 

* -> there are five chillu consonants formed as shown below:
- (U+0d28) + (U+0d4d) + (U+200d)
- (U+0d30) or (U+0d31) + (U+0d4d) + (U+200d)
- (U+0d32) + (U+0d4d) + (U+200d)
- (U+0d33) + (U+0d4d) + (U+200d)
- (U+0d23) + (U+0d4d) + (U+200d)

-- Additional comment from llch@redhat.com on 2006-09-13 23:14 EST --
Rahul is our Indic font maintainer for this cycle. Reassigning to him first.

-- Additional comment from llch@redhat.com on 2006-09-29 03:04 EST --
Look like this is a Qt problem. Reassigning to Qt.

-- Additional comment from tagoh@redhat.com on 2006-10-23 07:23 EST --
There are two problems here.

1. character at step 4 isn't conjunct properly
   in gedit, [step 4's char][step 2's char][step 3's char] though,
   in kedit, [step 2's char][step 4's char][step 3's char]

2. the character width is miscalculated internally
   actually the cursor position is at the end of line afterward. but the
character width is miscalculated or ignored one character's width perhaps, then
it just looks like that.

-- Additional comment from aalam@redhat.com on 2007-05-03 14:15 EST --
 as per comment by Sachin as following:
---------------
This is the bug which is filed against three different problems, which includes
cursor position, pango issue, and vowel issue. So I filed 3 different bugs and
submitted patch for two QT related bugs.
As per order
1. Cursor position issue with QT in ml_IN
2. Voewl assignment issue with QT in ml_IN
3. Vowel assignment issue with pango in ml_IN
---------------
filing bug later...
Comment 2 Bug Zapper 2008-04-03 20:28:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:38:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.